Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# GraphicsStateGuardianBase Class Reference

This is a base class for the GraphicsStateGuardian class, which is itself a base class for the various GSG's for different platforms. More...

Inheritance diagram for GraphicsStateGuardianBase:

List of all members.

## Public Member Functions
bool | getEffectiveIncompleteRender ()
list | getGsgs ()
bool | getIncompleteRender ()
int | getMaxTextureDimension ()
int | getMaxVerticesPerArray ()
int | getMaxVerticesPerPrimitive ()
int | getSupportedGeomRendering ()
bool | getSupportsCompressedTextureFormat (int compression_mode)
bool | getSupportsMultisample ()
bool | getSupportsOcclusionQuery ()
bool | getSupportsShadowFilter ()
bool | prefersTriangleStrips ()
## Static Public Member Functions
static TypeHandle | getClassType ()
static GraphicsStateGuardianBase | getDefaultGsg ()
| Returns a pointer to the "default" GSG.
static GraphicsStateGuardianBase | getGsg (int n)
| Returns the nth GSG in the universe.
static int | getNumGsgs ()
| Returns the total number of GSG's in the universe.
static | setDefaultGsg (GraphicsStateGuardianBase default_gsg)
| Specifies a particular GSG to use as the "default" GSG.

## Detailed Description

This is a base class for the GraphicsStateGuardian class, which is itself a base class for the various GSG's for different platforms.

This class contains all the function prototypes to support the double-dispatch of GSG to geoms, transitions, etc. It lives in a separate class in its own package so we can avoid circular build dependency problems.

GraphicsStateGuardians are not actually writable to bam files, of course, but they may be passed as event parameters, so they inherit from TypedWritableReferenceCount instead of TypedReferenceCount for that convenience.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from TypedWritableReferenceCount.

Reimplemented in GraphicsStateGuardian.

static GraphicsStateGuardianBase getDefaultGsg | ( |  | ) | `[static]`

Returns a pointer to the "default" GSG.

This is typically the first GSG created in an application; in a single-window application, it will be the only GSG. This GSG is used to determine default optimization choices for loaded geometry.

The return value may be NULL if a GSG has not been created.

bool getEffectiveIncompleteRender | ( |  | ) |

static GraphicsStateGuardianBase getGsg | ( | int | n | ) | `[static]`

Returns the nth GSG in the universe.

GSG's automatically add themselves and remove themselves from this list as they are created and destroyed.

list getGsgs | ( |  | ) |

bool getIncompleteRender | ( |  | ) |

int getMaxTextureDimension | ( |  | ) |

int getMaxVerticesPerArray | ( |  | ) |

int getMaxVerticesPerPrimitive | ( |  | ) |

static int getNumGsgs | ( |  | ) | `[static]`

Returns the total number of GSG's in the universe.

int getSupportedGeomRendering | ( |  | ) |

bool getSupportsCompressedTextureFormat | ( | int | compression_mode | ) |

bool getSupportsMultisample | ( |  | ) |

bool getSupportsOcclusionQuery | ( |  | ) |

bool getSupportsShadowFilter | ( |  | ) |

bool prefersTriangleStrips | ( |  | ) |

static setDefaultGsg | ( | GraphicsStateGuardianBase | default_gsg | ) | `[static]`

Specifies a particular GSG to use as the "default" GSG.

See get_default_gsg().

All Classes Namespaces Functions Variables Enumerations Enumerator Properties